.App {
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.c-bg-black {
  background-color: black !important;
}

.c-p-0 {
  padding: 0px !important;
}

.c-p-5 {
  padding: 5px !important;
}

.c-p-15 {
  padding: 15px;
}

.heart-title {
  font-size: 32px !important;
  left: 25px;
  color: green;
}

.color-green {
  color: #49a579 !important;
}

.bg-green {
  background: #62b178 !important;
}

.font-weight-200 {
  font-weight: 200;
}

.padding-contact-module {
  padding: 15px 35px 15px !important;
}

ul {
  list-style: none;
}

.c-ul-col-2 {
  -webkit-column-count: 2;
  -moz-column-count: 2;
  column-count: 2;
}

.services-list {
  font-size: 15px;
  font-weight: 600;
}

.c-a-padding {
  padding: 8px 5px !important;
}

.c-margin-right-20 {
  margin-right: 20px;
}

@media (max-width: 767px) {
  .c-d-none-mobile {
    display: none;
  }
  .c-mobile-w-100 {
    width: 100%;
  }
}

.c-w-100 {
  width: 100% !important;
}

.cta-profile-bt {
  background-color: #f0e344 !important;
  color: black !important;
  margin: 20px 0px !important;
}

.bg-colour-cta {
  background-color: #f3efc1 !important;
}

.cta-location-bt {
  background-color: #49a579 !important;
  color: white !important;
  margin: 20px 0px !important;
}

.c-d-none {
  display: none !important;
}

.c-underline-over {
  cursor: pointer;
}

.c-underline-over:hover {
  text-decoration: underline;
}

/*profile*/
.rates-col-1 {
  width: 33%;
}

.rates-col-2 {
  width: 33%;
}

.rates-col-3 {
  width: 34%;
}
/*Search Bar*/

.divider-search-bar {
  background-color: #8c8c8c;
  width: 80%;
}

/* Custom  MUI */
.c-MuiButton {
  background-color: #49a579 !important;
  font-size: 13px !important;
  font-style: normal !important;
  color: white !important;
  padding: 8px 25px !important;
  border-radius: 0px;
}

.MuiButton-root {
  font-size: 1.4rem !important;
}

.MuiSlider-root {
  color: #62b178 !important;
}

.MuiSlider-thumb {
  color: #62b178 !important;
}

.MuiFormControlLabel-label {
  font-size: 14px !important;
}

.c-label-col-3 {
  width: 30%;
}

.d-none {
  display: none;
}

.mt-0 {
  margin-top: 0px !important;
}

.mt-10 {
  margin-top: 10px !important;
}

.pt-0 {
  padding-top: 0px !important;
}

@media (max-width: 767px) {
  .homeSearchBtn {
    width: 70%;
  }

  html,
  body {
    overflow-x: hidden;
  }
  body {
    position: relative;
  }
}

.homeFormGroup {
  margin-bottom: 10px !important;
}
.c-mb-30 {
  margin-bottom: 30px !important;
}
.c-mb-0 {
  margin-bottom: 0px !important;
}
.c-mb-5 {
  margin-bottom: 5px !important;
}

.DayPicker {
  font-size: 1.5rem !important;
}

.color-off {
  color: #cacaca;
  background-color: #efefef;
}

.DayPicker-Day--selected:not(.DayPicker-Day--disabled):not(.DayPicker-Day--outside) {
  background-color: orange !important;
  color: white !important;
}

.color-select {
  color: #fff;
  background-color: #3c763d;
}

.color-available {
  color: #3c763d;
  background-color: #dff0d8;
}

.btn-booking-success {
  padding: 0px;
  width: 100%;
  color: white !important;
  background-color: #3c763d !important;
  margin: 0px 0px 10px 0px !important;
}

.confirm-h4 {
  border: 1px solid rgba(0, 0, 0, 0.1);
  padding: 5px;
  text-align: center;
}

.p-booking {
  margin: 0px !important;
  font-size: 14px;
}

.badge-touring {
  position: absolute;
  right: 10px;
  top: 5px;
  color: black;
  background-color: yellow;
  border-radius: 100px;
  padding: 0px 10px;
  font-weight: 700;
  font-size: 12px;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
}

.badge-touring-soon {
  position: absolute;
  right: 10px;
  top: 5px;
  color: white;
  background-color: #69bf87;
  border-radius: 100px;
  padding: 0px 10px;
  font-weight: 700;
  font-size: 12px;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
}

/* - - - - - - - - */
#photos {
  /* Prevent vertical gaps */
  line-height: 0;

  -webkit-column-count: 5;
  -webkit-column-gap: 0px;
  -moz-column-count: 5;
  -moz-column-gap: 0px;
  column-count: 5;
  column-gap: 0px;
}

#photos img {
}

#photos {
  -moz-column-count: 2;
  -webkit-column-count: 2;
  column-count: 2;
}

@media (max-width: 800px) {
  #photos {
    -moz-column-count: 2;
    -webkit-column-count: 2;
    column-count: 2;
  }
}
@media (max-width: 600px) {
  #photos {
    -moz-column-count: 1;
    -webkit-column-count: 1;
    column-count: 1;
  }
}

/* - - - - - - - */

/*
==============================================
pulse
==============================================
*/

.pulse {
  animation-name: pulse;
  -webkit-animation-name: pulse;

  animation-duration: 1.5s;
  -webkit-animation-duration: 1.5s;

  animation-iteration-count: infinite;
  -webkit-animation-iteration-count: infinite;
}

@keyframes pulse {
  0% {
    transform: scale(0.95);
    opacity: 0.7;
  }
  50% {
    transform: scale(1);
    opacity: 1;
  }
  100% {
    transform: scale(0.95);
    opacity: 0.7;
  }
}

@-webkit-keyframes pulse {
  0% {
    -webkit-transform: scale(0.95);
    opacity: 0.7;
  }
  50% {
    -webkit-transform: scale(1);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(0.95);
    opacity: 0.7;
  }
}

.parallax-home {
  background-image: url("./imgs/call_to_action_2.jpg");
}
.webp .parallax-home {
  background-image: url("./imgs/call_to_action_2.webp");
}

/* Mobile modal */
@media (max-width: 767px) {
  .MuiDialog-paperScrollPaper {
    max-height: none !important;
  }
  .MuiDialog-paper {
    margin: 0px !important;
  }
  .MuiPaper-root.MuiDialog-paper.MuiDialog-paperScrollPaper.MuiDialog-paperWidthSm.MuiPaper-elevation24.MuiPaper-rounded {
    height: 100%;
    width: 100%;
  }
  .DayPicker {
    width: 90%;
    margin-top: 20px;
  }
}

.bgAPending {
  background-color: antiquewhite !important;
}

.contact-form {
  padding: 0% 20% !important;
}

.success-msg {
  background-color: lightgray;
  color: black;
  border: 1px solid #49a579;
  padding: 5px;
  margin: 0% 20%;
  border-radius: 5px;
}

@media (max-width: 800px) {
  .contact-form {
    padding: 0% 5% !important;
  }
  .success-msg {
    margin: 0% 5% !important;
  }
}

.c-m-0 {
  margin: 0px !important;
}
